Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.service
Class PricingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.bea.commerce.ebusiness.price.service.PricingException

All Implemented Interfaces:
  MessageCatalogException, Serializable

Direct Known Subclasses:
  PriceEngineException

public class PricingException
extends ApplicationException

A PricingException indicates a failure of the price service during a pricing operation.

See Also:
  `PriceService`, Serialized Form

Field Summary
`static String` | `MESSAGE_KEY`
`static String` | `MESSAGE_NAMESPACE` The name of the resource bundle

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`PricingException(Object argument)` Constructs a new exception with the message indicated by the specified object.
`PricingException(String messageKey)` Constructs a new message using the specified catalog message key.
`PricingException(String messageKey, Exception exception)` Class constructor taking key of the associated catalog message and an embedded exception.
`PricingException(String messageKey, Object argument)` Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`PricingException(String messageKey, Object[] arguments)` Class constructor taking key of the associated catalog message and message parameter substitution arguments.
`PricingException(String messageKey, Object[] arguments, Exception exception)` Constructs a new exception with the specified key and applys the specifed arguments to the catalog message.
`PricingException(String messageKey, Object argument, Exception exception)` Constructs a new exception with the specified key and applys the specifed argument to the catalog message.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_KEY

    public static final String MESSAGE_KEY

See Also:
  Constant Field Values

### MESSAGE_NAMESPACE

    public static final String MESSAGE_NAMESPACE

  The name of the resource bundle

  See Also:
    Constant Field Values

Constructor Detail

### PricingException

    public PricingException(Object argument)

  Constructs a new exception with the message indicated by the specified object.

### PricingException

    public PricingException(String messageKey)

  Constructs a new message using the specified catalog message key.

### PricingException

    public PricingException(String messageKey,
                            Exception exception)

  Class constructor taking key of the associated catalog message and an embedded exception.

### PricingException

    public PricingException(String messageKey,
                            Object argument)

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

### PricingException

    public PricingException(String messageKey,
                            Object[] arguments)

  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

### PricingException

    public PricingException(String messageKey,
                            Object[] arguments,
                            Exception exception)

  Constructs a new exception with the specified key and applys the specifed arguments to the catalog message. The new exception is wrapped around the specified exception

### PricingException

    public PricingException(String messageKey,
                            Object argument,
                            Exception exception)

  Constructs a new exception with the specified key and applys the specifed argument to the catalog message. The new exception is wrapped around the specified exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved